//
// $Id: Hello.cpp 77020 2007-02-12 13:56:49Z johnnyw $
//
#include "Hello.h"

ACE_RCSID(Hello, Hello, "$Id: Hello.cpp 77020 2007-02-12 13:56:49Z johnnyw $")

Hello::Hello (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

char *
Hello::get_string (void)
{
  return CORBA::string_dup ("Hello there!");
}

void
Hello::shutdown (void)
{
  this->orb_->shutdown (0);
}
